### Method

# Gtk PrintOperation get_print_settings

#### Declaration [src]

    GtkPrintSettings*
    gtk_print_operation_get_print_settings (
      GtkPrintOperation* op
    )

#### Description [src]

Returns the current print settings.

Note that the return value is `NULL` until either gtk_print_operation_set_print_settings() or gtk_print_operation_run() have been called.

Gets property | `Gtk.PrintOperation:print-settings`

#### Return value

Returns: | `GtkPrintSettings`
| The current print settings of `op`.
| The data is owned by the instance.